Bug 66778 - UPDATE /comms/xlog to 0.9.6 to replace broken port
Summary: UPDATE /comms/xlog to 0.9.6 to replace broken port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-17 23:30 UTC by Matt Dawson
Modified: 2004-06-03 15:49 UTC (History)
0 users

See Also:


Attachments
xlog-0.9.6.diff (7.40 KB, patch)
2004-05-17 23:30 UTC, Matt Dawson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Dawson 2004-05-17 23:30:16 UTC
Update of /comms/xlog to latest 0.9.6 version which will replace broken
0.9.2 version currently in ports. Supercedes PR-66460 which I submitted

Fix: Diff attached
How-To-Repeat: 
Try compiling the current port
Comment 1 Thierry Thomas freebsd_committer 2004-05-17 23:47:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->patrick


Over to the maintainer.
Comment 2 patrick freebsd_committer 2004-06-02 23:11:44 UTC
Responsible Changed
From-To: patrick->ports

Putting commit bit in storage.  I don't have the time 
to work on FreeBSD for now.
Comment 3 Pav Lucistnik freebsd_committer 2004-06-03 13:49:14 UTC
Responsible Changed
From-To: ports->pav

I'm working on this. 

I noticed several oddities in this PR, Matt: 

- Why are you changing attribution in Makefile header? It should 
be never changed, it honors the original author of port 

- Why are you changing $FreeBSD$ CVS tag to non-existing revision 
and committer? You should never touch this line in a PR. 

- FreeBSD.org is proper spelling of mail address, don't lowercase it 

- What is USE_PKGCONFIG=yes? There is no such macro in Ports. 

- There is no README.html in CVS, it's generated by 'make readme', 
no need to spam patches with it. 

- What should mean PORTSDIR and LOCALBASE things in pkg-descr? 

No action needed from you, I'll correct all these issues. 
Just some thought...
Comment 4 Pav Lucistnik freebsd_committer 2004-06-03 15:49:42 UTC
State Changed
From-To: open->closed

Committed, thanks!